# PetscGetFullPath

Given a filename, returns the fully qualified file name.

### Synopsis

    PetscErrorCode  PetscGetFullPath(const char path[],char fullpath[],size_t flen)

Not Collective

### Input Parameters

| path | - pathname to qualify
| fullpath | - pointer to buffer to hold full pathname
| flen | - size of fullpath

### See Also

PetscGetRelativePath()

Level:developer
Location: src/sys/fileio/fpath.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages